version: '3.4'

services:
  nginx:
    image: nginx:latest
    ports:
      - "8080:80"
    volumes:
      - ./:/var/www:cached
      - ./docker/nginx/keylighter.localhost:/etc/nginx/conf.d/keylighter.conf

  php:
    build: .
    environment:
      - MESSENGER_TRANSPORT_DSN=redis://redis:6379/messages
    env_file:
      - ./docker/php/.env
    volumes:
      - ./:/var/www:cached
      - ./docker/php/log.conf:/usr/local/etc/php-fpm.d/zz-log.conf

  redis:
    image: redis:latest
